function [screenNum, wPtr, oldScreenPrefs] = openPTBscreen(screenColor)
%openPTBscreen
%   Sets screen preferences (and saves the old preference flags in a struct
%   called oldScreenPrefs).
%
%   Also opens a window and returns the screen number (screenNum) and
%   window pointer (wPtr).
    
    %% Perform some PTB checks
    java; %clear java cache
	warning('off','MATLAB:dispatcher:InexactMatch');
    AssertOpenGL;
    
    
    %% Set up screen
    %Set screen preferences (and save the original ones)
    oldScreenPrefs.VisualDebugLevel    = Screen('Preference', 'VisualDebugLevel',    0);
    oldScreenPrefs.SuppressAllWarnings = Screen('Preference', 'SuppressAllWarnings', 1);
    oldScreenPrefs.TextRenderer        = Screen('Preference', 'TextRenderer',        0);
    oldScreenPrefs.SkipSyncTests       = Screen('Preference', 'SkipSyncTests',       1);
    
    %Open a window
    screenNum = max(Screen('Screens'));  %Highest screen number is most likely correct display
    wPtr = Screen('OpenWindow', screenNum, screenColor);
    
	HideCursor;
end