function orderedMaterials = putMaterialsInOrder(materials, conditionBlocks)
%putMaterialsInOrder
%   creates a cell array where each element is a string representing the
%   audio file to use on each trial
    
    numTrials = length(conditionBlocks);
    
    intactIdx = 1;
    degradedIdx = 1;
    foreignIdx = 1;
    
    orderedMaterials = cell(numTrials,1);
    
    for trialNum = 1:numTrials
        condition = conditionBlocks{trialNum};
        
        switch(condition)
            case 'fix'
                orderedMaterials{trialNum} = 'NA';
                
            case 'intact'
                orderedMaterials{trialNum} = materials.intact{intactIdx};
                intactIdx = intactIdx + 1;
                
            case 'degraded'
                orderedMaterials{trialNum} = materials.degraded{degradedIdx};
                degradedIdx = degradedIdx + 1;
                
            case 'foreign'
                orderedMaterials{trialNum} = materials.foreign{foreignIdx};
                foreignIdx = foreignIdx + 1;
                
            otherwise
                error('\nCondition ''%s'' not found.\n', condition);
        end
    end
end