function conditionBlocks = setBlockOrder( inputs )
%setBlockOrder
%   Returns a cell array where each element is a string representing the
%   condition of the block.
%
%   The conditions are
%       'X'  Fixation
%       'I'  Intact
%       'D'  Degraded
%       'F'  Foreign

    conditionOrder = inputs.conditionOrder;
    usingForeignLanguage = inputs.usingForeignLanguage;
    
	X = 'fix';
    I = 'intact';
    D = 'degraded';
    F = 'foreign';
	
    if usingForeignLanguage
        orders = {X I D F F D I X I D F F D I X;
                  X D F I I F D X D F I I F D X;
                  X F I D D I F X F I D D I F X};
    else
        orders = {X I D I D X I D D I X D I D I X;
                  X D I D I X D I I D X I D I D X};
    end
    
    conditionBlocks = orders(conditionOrder,:)';
end