function [ trialOnsets ] = trialOnsetTimes( conditionBlocks, duration )
%trialOnsetTiems
%   returns array of trial onsets in seconds
    
    numTrials = length(conditionBlocks);
    
    trialOnsets = zeros(numTrials,1);
    
    for trialNum = 1:numTrials-1
        trialOnset = trialOnsets(trialNum);
        
        condition = conditionBlocks{trialNum};
        
        switch(condition)
            case 'fix'
                trialOnsets(trialNum+1) = trialOnset + duration.fix;
                
            otherwise
                trialOnsets(trialNum+1) = trialOnset + duration.audio;
        end
    end
end